<?php   
/**
 *
 * @package Luzuk Premium
 */ 
?>
<?php $showContent = get_theme_mod('premium_slider_show_content', 'on'); ?>
<div id="ht-home-slider-section">
	<div class="shape"></div>
	<div id="ht-bx-slider">


		<?php
		$args = array( 'post_type' => 'slider', 'orderby'   => 'id', 'order' => 'DESC',);
		if(!empty($pageId)){
			$args['page_id'] = absint($pageId);

		}
		$text = '';
		$query = new WP_Query($args);
		if($query->have_posts()){
			while($query->have_posts()) : $query->the_post(); 
				$pageLink = '';
				$slider_btn_link = get_post_meta($post->ID,'slider_btn_link',false);
				$sliderBtnTxt = get_post_meta($post->ID,'sliderBtnTxt',false);
				if(!empty($slider_btn_link) && is_array($slider_btn_link)){
					$pageLink = esc_url(get_permalink($slider_btn_link[0]));
				}
				if(!empty($sliderBtnTxt) && is_array($sliderBtnTxt)){
					$pageLinkTxt = $sliderBtnTxt[0];
				}else{
					$pageLinkTxt = 'Start Free Trial';
				}
				?>
				<div class="ht-slide">
					<!-- <div class="ht-slide-overlay"></div> -->
					<div class="col-md-6 sliderimg test-icon">
						<?php 
						if(has_post_thumbnail()){
							$total_slider_image = wp_get_attachment_image_src(get_post_thumbnail_id(),'full');	
							echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($total_slider_image[0]).'">';
						}?>
					</div>
					<?php
					if($showContent == 'on'){
						?>
						<div class="ht-slide-caption wow zoomIn">
							<?php if( get_theme_mod('hexagonsliderhomepsecanimation_button_display','show' ) == 'show') :
								?>	
							<div class="hex center">
  <div class="hex odd first one"></div>
  <div class="hex odd first three"></div>
  <div class="hex odd first five"></div>
  <div class="hex odd first seven"></div>
  <div class="hex odd first nine"></div>
  <div class="hex odd first eleven"></div>
 
</div>
							<?php endif ?>
							<div class="ht-slide-cap-title">
								<?php echo (get_the_title()); ?>
							</div>		
							<div class="ht-slide-cap-descmore-title">
								<?php echo (get_the_content()); ?>
							</div>
							<div class="ht-slide-cap-desc"><?php 
							if(has_excerpt()){
								echo get_the_excerpt();
							}else{
								echo lz_fitness_excerpt( get_the_content() , 110 );
							}
							?></div>			
							<?php 
							if(!empty($pageLink)){ ?>
								<div class="sliderbtn">	
									<div class="ht-slide-cap-descmore">
										<a class="btn btn-lg red" href="<?php echo $pageLink; ?>"><?php echo($pageLinkTxt); ?></a>
									</div>
								</div>
							<?php }?>
						</div>
					<?php }?>
				</div>
				<?php
			endwhile;
		}else{ 
			for($i=0;$i<2;$i++){?>
				<div class="ht-slide">
					<!-- <div class="ht-slide-overlay"></div> -->

					<div class="col-md-6 sliderimg test-icon">

						<?php echo '<img alt="Slider" src="'. esc_html(get_template_directory_uri()) .'/images/slider.jpeg">';?>
					</div>
					<?php if($showContent == 'on'){?>
						<div class="ht-slide-caption wow zoomIn">
							<?php if( get_theme_mod('hexagonsliderhomepsecanimation_button_display','show' ) == 'show') :
								?>	
							<div class="hex center">
								<div class="hex odd first one"></div>
								<div class="hex odd first three"></div>
								<div class="hex odd first five"></div>
								<div class="hex odd first seven"></div>
								<div class="hex odd first nine"></div>
								<div class="hex odd first eleven"></div>
							</div>
							<?php endif ?>
							<div class="ht-slide-cap-title">Taking</div>
							<div class="ht-slide-cap-descmore-title">brands further</div>
							<div class="ht-slide-cap-desc">Phasellus id convallis ligula. Aliquam erat volutpat. Aliquam erat volutpat. </div>
							<div class="sliderbtn">	
								<div class="ht-slide-cap-descmore">	
									<a class="btn btn-lg red" href="<?php echo $pageLink; ?>"><?php _e( 'Read More', 'lz-fintess-premium' ); ?></a>
								</div>
							</div>
						</div> 
					<?php }?>
				</div>
			<?php }
		}?>
	</div>
	<?php if( get_theme_mod('hexagonsliderhomepsectrishape_button_display','show' ) == 'show') :
								?>	
	<!-- <div class="shape"></div> -->
	<?php endif ?>

</div>
